Package org.jboss.resteasy.plugins.server.netty

## Class SniConfiguration

- java.lang.Object
- - org.jboss.resteasy.plugins.server.netty.SniConfiguration

-     public class SniConfiguration
      extends Object

  TLS/SSL Server Name Indication configuration.
  Author:
    Sebastian Łaskawiec
  See Also:
    TLS extensions

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected io.netty.util.DomainWildcardMappingBuilder<io.netty.handler.ssl.SslContext>` | `mapping` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SniConfiguration​(SSLContext defaultServerKeystore)` | Constructs new `SniConfiguration`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SniConfiguration` | `addSniMapping​(String sniHostName, SSLContext sslContext)` | Adds SNI mapping.
    `protected io.netty.util.Mapping<String,​io.netty.handler.ssl.SslContext>` | `buildMapping()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mapping

          protected final io.netty.util.DomainWildcardMappingBuilder<io.netty.handler.ssl.SslContext> mapping

  - ### Constructor Detail

    - #### SniConfiguration

          public SniConfiguration​(SSLContext defaultServerKeystore)

      Constructs new `SniConfiguration`.
      Parameters:
        `defaultServerKeystore` - default keystore to be used when no SNI is specified by the client.

  - ### Method Detail

    - #### addSniMapping

          public SniConfiguration addSniMapping​(String sniHostName,
                                                SSLContext sslContext)

      Adds SNI mapping.
      Parameters:
        `sniHostName` - SNI Host Name from TLS Extensions.
        `sslContext` - SSLContext to be associated with given SNI Host Name.
      Returns:
        `this` configuration.

    - #### buildMapping

          protected io.netty.util.Mapping<String,​io.netty.handler.ssl.SslContext> buildMapping()